### Method

# EDataServer Collator collate

since: 3.12

#### Declaration [src]

    gboolean
    e_collator_collate (
      ECollator* collator,
      const gchar* str_a,
      const gchar* str_b,
      gint* result,
      GError** error
    )

#### Description [src]

Compares `str_a` with `str_b`, the order of strings is determined by the parameters of `collator`.

The `result` will be set to integer less than, equal to, or greater than zero if `str_a` is found, respectively, to be less than, to match, or be greater than `str_b`.

Either `str_a` or `str_b` can be `NULL`, `NULL` strings are considered to sort below other strings.

This function will first ensure that both strings are valid UTF-8.

Available since: 3.12

#### Parameters

`str_a`

  Type: `const gchar*`

  A string to compare.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`str_b`

  Type: `const gchar*`

  The string to compare with `str_a`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`result`

  Type: `gint*`

  A location to store the comparison result.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, otherwise if `FALSE` is returned then `error` will be set.